Get calendar resource by ID

http
GET https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
resourceTypestringYesCalendar Resource Type
idstringYesCalendar Resource ID

Responses

200 - Calendar resource fetched
  • locationId (string, required): Account ID of the resource

  • name (string, required): Name of the resource Example: yoga room

  • resourceType (string, required): Possible values: 'equipments', 'rooms'

  • isActive (boolean, required): Whether the resource is active

  • description (string): Description of the resource

  • quantity (number): Quantity of the resource

  • outOfService (number): Indicates if the resource is out of service Example: 0

  • capacity (number): Capacity of the resource Example: 85

  • calendarIds (string[], required): Calendar IDs

json
{
  "locationId": "string",
  "name": "yoga room",
  "resourceType": "equipments",
  "isActive": true,
  "description": "string",
  "quantity": 0,
  "outOfService": 0,
  "capacity": 85,
  "calendarIds": [
    "Jsj0xnlDDjw0SuvX1J13",
    "oCM5feFC86FAAbcO7lJK"
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/resources/YOUR_resourceType/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?